
Redmine - Defect #28204

Too large avatar breaks gantt when assignee is a group

2018-02-17 10:37 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Gantt Estimated time: 0.00 hour

Target version: 3.3.7   

Resolution: Fixed Affected version: 3.3.6

Description

A 128px wide avatar icon breaks gantt view when the assignee of an issue is a group and "Use Gravatar user icons" setting is

enabled.

 

The problem is introduced in Redmine 3.3.6 and 3.4.4 by #26699. The cause is that the HTML doesn't include "width" and "height"

option because image_tag in Rails 4 doesn't accept an integer value for ":size" option (Rails 5 accepts both integer and string value,

so the current trunk is not affected).

Redmine 3.4 (img element doesn't have "width" and "height" attributes):

<img alt="" title="Assignee: A Team" class="gravatar icon-gravatar" default="default" src="/images

/anonymous.png?1518850381">

 The current trunk (img element has "width" and "height" attributes):

<img alt="" title="Assignee: A Team" class="gravatar icon-gravatar" default="default" src="/images

/anonymous.png?1517405352" width="13" height="13">

Related issues:

Related to Redmine - Defect #26699: Anonymous user should have their icon Closed

Related to Redmine - Defect #28208: Anonymous icon is wrongly displayed when ... Closed

Associated revisions

Revision 17201 - 2018-02-18 06:05 - Go MAEDA

Test that "img" tag for an avatar of AnonymousUser has "width" and "height" attributes (#28204).

Patch by Go MAEDA.

Revision 17202 - 2018-02-18 06:21 - Go MAEDA

3.4-stable: Too large avatar breaks gantt when assignee is a group (#28204).

Patch by Go MAEDA.

Revision 17203 - 2018-02-18 06:29 - Go MAEDA

3.3-stable: Too large avatar breaks gantt when assignee is a group (#28204).
https://www.redmine.org/issues/26699


Patch by Go MAEDA.

History

#1 - 2018-02-17 10:38 - Go MAEDA

- Related to Defect #26699: Anonymous user should have their icon added

#2 - 2018-02-17 10:41 - Go MAEDA

The behavior of image_tag has been changed by this commit:

Allow to pass a string value to size option in `image_tag` and `video… · rails/rails@ab5f119

#3 - 2018-02-18 00:39 - Go MAEDA

- File test_size_option_for_avatar_should_accept_integer_value.diff added

- File size_option_for_avatar_should_accept_integer_value.diff added

Patches for this issue.

#4 - 2018-02-18 01:13 - Mischa The Evil

- Target version set to 3.3.7

#5 - 2018-02-18 03:07 - Go MAEDA

- Related to Defect #28208: Anonymous icon is wrongly displayed when assignee is a group added

#6 - 2018-02-18 06:31 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the fix to 3.4-stable and 3.3-stable branch.

Mischa, thank you for reviewing the patch.

Files

too-large-icon@2x.png 36.1 KB 2018-02-17 Go MAEDA

test_size_option_for_avatar_should_accept_integer_value.diff 529 Bytes 2018-02-17 Go MAEDA
